"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// const react_native_1 = require("react-native");
const StringUtils_1 = require("./util/StringUtils");
const realm = require('../../data/realm/RealmUtil')
const tableName = realm.NullTableName
class CloudwiseAction {
    constructor(key) {
        this.key = key;
    }
    reportError(errorName, errorCode, platform) {
        if (!StringUtils_1.StringUtils.isStringNullEmptyOrWhitespace(errorName)) {
            console.log('---reportError--- start')
            console.log(this.key)
            console.log(errorName)
            console.log(errorCode)
            console.log(platform)
            console.log('---reportError--- end')
            realm.writeToRealm({'errorName': errorName, 'errorCode': errorCode, 'platform': platform}, tableName).then(r => console.log(r));
            // CloudwiseNative.reportErrorInAction(this.key, errorName, errorCode, platform);
        }
    }
    reportEvent(eventName, platform) {
        if (!StringUtils_1.StringUtils.isStringNullEmptyOrWhitespace(eventName)) {
            console.log('--- reportEvent --- start')
            console.log(this.key)
            console.log(eventName)
            console.log(platform)
            console.log('--- reportEvent --- end')
            realm.writeToRealm({'eventName': eventName, 'platform': platform}, tableName).then(r => console.log(r));
            // CloudwiseNative.reportEventInAction(this.key, eventName, platform);
        }
    }
    reportStringValue(valueName, value, platform) {
        if (!StringUtils_1.StringUtils.isStringNullEmptyOrWhitespace(valueName)) {
            console.log('--- reportStringValue --- start')
            console.log(this.key)
            console.log(eventName)
            console.log(platform)
            console.log('--- reportStringValue --- end')
            realm.writeToRealm({'valueName': valueName,'value': value, 'platform': platform}, tableName).then(r => console.log(r));}
    }
    reportIntValue(valueName, value, platform) {
        if (!StringUtils_1.StringUtils.isStringNullEmptyOrWhitespace(valueName)) {
            // CloudwiseNative.reportIntValueInAction(this.key, valueName, value, platform);
        }
    }
    reportDoubleValue(valueName, value, platform) {
        if (!StringUtils_1.StringUtils.isStringNullEmptyOrWhitespace(valueName)) {
            // CloudwiseNative.reportDoubleValueInAction(this.key, valueName, value, platform);
        }
    }
    leaveAction(platform) {
        realm.writeToRealm({'platform': platform}, tableName).then(r => console.log(r));
        // CloudwiseNative.leaveAction(this.key, platform);
    }
}
exports.CloudwiseAction = CloudwiseAction;
